Subject: bug#22053: silent failure on guix environment foo --container

From: Efraim Flashner <[email-masked]>
Date: Mon, 30 Nov 2015 14:44:13 +0200

On Mon, 30 Nov 2015 13:22:34 +0100
[email-masked] (Ludovic Courtès) wrote:

> Efraim Flashner <[email-masked]> skribis:
> 
> > On Sun, 29 Nov 2015 22:20:33 +0100
> > [email-masked] (Ludovic Courtès) wrote:
> >  
> >> Efraim Flashner <[email-masked]> skribis:
> >> 
> >>  [...]  
> >> 
> >> The failure is:
> >> 
> >> --8<---------------cut here---------------start------------->8---
> >> 21228 mount("none", "/tmp/guix-directory.5sVcGc//dev/pts", "devpts", MS_NOSUID|MS_NOEXEC, "newinstance,ptmxmode=0666,mode=6"...) = -1 EPERM (Operation not permitted)
> >> 21228 exit_group(1)                     = ?
> >> --8<---------------cut here---------------end--------------->8---
> >> 
> >> The problem may be that the kernel does not support
> >> CONFIG_DEVPTS_MULTIPLE_INSTANCES.  Could you check that in
> >> /proc/config.gz or similar?  
> >
> > # CONFIG_DEVPTS_MULTIPLE_INSTANCES is not set  
> 
> QED.  :-)  However, the daemon needs it too.  Don’t you have problems
> with guix-daemon as well, when building things locally on that machine?
> 
> Ludo’.

Not at all, I've been building things all day. Is this the type of thing that
would control if there were multiple concurrent build processes? I've only
ever built things consecutively (not including make -j2). Without changing
settings, should I be building two packages concurrently, or building one and
downloading substitutes at the same time?

efraim@debian-netbook:~$ systemctl status guix-daemon.service
● guix-daemon.service - Guix daemon builds packges, installs them, and runs garbage collection.
   Loaded: loaded (/etc/systemd/system/guix-daemon.service; enabled; vendor preset: enabled)
   Active: active (running) since Sat 2015-11-28 21:36:22 IST; 1 day 17h ago
 Main PID: 810 (guix-daemon)
   CGroup: /system.slice/guix-daemon.service
           └─810 /root/.guix-profile/bin/guix-daemon --build-users-group=guix-builder

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted